Bug 12255 - CTDB systemd service file dependencies are not tight enough
CTDB systemd service file dependencies are not tight enough
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-12 09:58 UTC by Martin Schwenke
Modified: 2016-09-20 07:30 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-5 branch (1.40 KB, patch)
2016-09-15 01:37 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-4 branch (1.40 KB, patch)
2016-09-15 01:37 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-09-12 09:58:23 UTC
* CTDB can't bind addresses to sockets because networking is not setup
* CTDB fails to load public address configuration because interfaces are missing
* NTP synchronises time as CTDB is starting up

CTDB needs to start after network-online and time-sync.
Comment 1 Amitay Isaacs 2016-09-15 01:37:03 UTC
Created attachment 12462 [details]
Patches for v4-5 branch
Comment 2 Amitay Isaacs 2016-09-15 01:37:28 UTC
Created attachment 12463 [details]
Patches for v4-4 branch
Comment 3 Martin Schwenke 2016-09-15 01:50:04 UTC
Hi Karolin,

This one is ready for 4.5.x and 4.4.y.

Thanks...
Comment 4 Karolin Seeger 2016-09-16 06:57:33 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{4,5}-test.
Comment 5 Karolin Seeger 2016-09-20 07:30:46 UTC
Pushed to both branches.
Closing out bug report.

Thanks!